Package org.apache.tools.ant.taskdefs

## Class Length.When

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.types.Comparison
    - - org.apache.tools.ant.taskdefs.Length.When

- Enclosing class:
    Length

      public static class Length.When
      extends Comparison

  EnumeratedAttribute for the when attribute.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.Comparison

      `EQUAL, GREATER, GREATER_EQUAL, LESS, LESS_EQUAL, NOT_EQUAL`

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `When()` |

  - ### Method Summary

    - ### Methods inherited from class org.apache.tools.ant.types.Comparison

      `evaluate, getValues`

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### When

          public When()